| OpenMS 2.5.0

NucleicAcidSearchEngine

Matches tandem mass spectra to nucleic acid sequences.

Given a FASTA file containing RNA sequences (and optionally decoys) and an mzML file from a nucleic acid mass spec experiment:

- Generate a list of digestion fragments from the FASTA file (based on a specified RNase)
- Search the mzML input for MS2 spectra with parent masses corresponding to any of these sequence fragments
- Match the MS2 spectra to theoretically generated spectra
- Score the resulting matches

Output is in the form of an mzTab-like text file containing the search results. Optionally, an idXML file suitable for visualizing search results in TOPPView (parameter `id_out`) and a "target coordinates" file for label-free quantification using FeatureFinderMetaboIdent (parameter `lfq_out`) can be generated.

Modified ribonucleotides can either be specified in the FASTA input file (as fixed modifications), or set as variable modifications in the tool options. Information on available modifications is taken from the Modomics database (http://modomics.genesilico.pl/). In addition to these "standard" modifications, OpenMS defines "generic" and "ambiguous" ones:
A generic modification represents a group of modifications that cannot be distinguished by tandem mass spectrometry. For example, "mA" stands for any methyladenosine (could be "m1A", "m2A", "m6A" or "m8A"), "mmA" for any dimethyladenosine (with two methyl groups on the base), and "mAm" for any 2'-O-dimethyladenosine (with one methyl group each on base and ribose). There is no technical difference between searching for "mA" or e.g. "m1A", but the generic code better represents that no statement can be made about the position of the methyl group on the base.
In contrast, an ambiguous modification represents two isobaric modifications (or modification groups) with a methyl group on either the base or the ribose, that could in principle be distinguished based on a-B ions. For example, "mA?" stands for methyladenosine ("mA", see above) or 2'-O-methyladenosine ("Am"). When using ambiguous modifications in a search, NucleicAcidSearchEngine can optionally try to assign the alternative that generates better a-B ion matches in a spectrum (see parameter `modifications:resolve_ambiguities`).

The command line parameters of this tool are:

    NucleicAcidSearchEngine -- Annotate nucleic acid identifications to MS/MS spectra.

    Full documentation: http://www.openms.de/documentation/UTILS_NucleicAcidSearchEngine.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      NucleicAcidSearchEngine <options>

    Options (mandatory options marked with '*'):

      -in <file>*                                  Input file: spectra (valid formats: 'mzML')

      -database <file>*                            Input file: sequence database (valid formats: 'fasta')

      -out <file>*                                 Output file: mzTab (valid formats: 'mzTab')

      -id_out <file>                               Output file: idXML (for visualization in TOPPView) (valid form

                                                   ats: 'idXML')

      -lfq_out <file>                              Output file: Targets for label-free quantification using Featu

                                                   reFinderMetaboIdent ('id' input) (valid formats: 'tsv')

    Precursor (Parent Ion) Options:

      -precursor:mass_tolerance <tolerance>        Precursor mass tolerance (+/- around uncharged precursor mass)

                                                   (default: '10.0')

      -precursor:mass_tolerance_unit <unit>        Unit of precursor mass tolerance (default: 'ppm' valid: 'Da',

                                                   'ppm')

      -precursor:min_charge <num>                  Minimum precursor charge to be considered (default: '-1')

      -precursor:max_charge <num>                  Maximum precursor charge to be considered (default: '-20')

      -precursor:include_unknown_charge            Include MS2 spectra with unknown precursor charge - try to

                                                   match them in any possible charge between 'min_charge' and

                                                   'max_charge', at the risk of a higher error rate

      -precursor:use_avg_mass                      Use average instead of monoisotopic precursor masses (appropri

                                                   ate for low-resolution instruments)

      -precursor:use_adducts                       Consider possible salt adducts (see 'precursor:potential_adduc

                                                   ts') when matching precursor masses

      -precursor:potential_adducts <list>          Adducts considered to explain mass differences. Format: 'Eleme

                                                   nt:Charge(+/-)', i.e. the number of '+' or '-' indicates the

                                                   charge, e.g. 'Ca:++' indicates +2. Only used if 'precursor:use

                                                   _adducts' is set. (default: '[Na:+]')

      -precursor:isotopes <list>                   Correct for mono-isotopic peak misassignments. E.g.: 1 = precu

                                                   rsor may be misassigned to the first isotopic peak. Ignored

                                                   if 'use_avg_mass' is set. (default: '[0 1 2 3 4]')

    Fragment (Product Ion) Options:

      -fragment:mass_tolerance <tolerance>         Fragment mass tolerance (+/- around fragment m/z) (default:

                                                   '10.0')

      -fragment:mass_tolerance_unit <unit>         Unit of fragment mass tolerance (default: 'ppm' valid: 'Da',

                                                   'ppm')

      -fragment:ions <choice>                      Fragment ions to include in theoretical spectra (default: '[a-

                                                   B a b c d w x y z]' valid: 'a-B', 'a', 'b', 'c', 'd', 'w',

                                                   'x', 'y', 'z')

    Modifications Options:

      -modifications:variable <mods>               Variable modifications (valid: 'm1Am', 'm1Gm', 'm1Im', 'm1acp3

                                                   Y', 'm1A', 'm1G', 'm1I', 'm1Y', 'm28A', 'msms2i6A', 'ges2U',

                                                   'k2C', 'm2A', 'ms2ct6A', 'ms2io6A', 'ms2hn6A', 'ms2i6A', 'ms2m

                                                   6A', 'ms2t6A', 'se2U', 's2Um', 's2C', 's2U', 'Am', 'Cm', 'Gm',

                                                   'Im', 'Ym', 'Um', 'mcmo5Um', 'Ar(p)', 'Gr(p)', '(pN)2\'3\'>p'

                                                   , 'hm5Cm', 'm3Um', 'acp3D', 'acp3Y', 'acp3U', 'm3C', 'm3Y',

                                                   'm3U', 'imG-14', 's4U', 'm5Cm', 'm5Um', 'mchm5Um', 'mchm5U',

                                                   'inm5s2U', 'inm5Um', 'inm5U', 'nm5ges2U', 'nm5se2U', 'nm5s2U',

                                                   ...

                                                   'acp3U/cmnm5Um?')

      -modifications:variable_max_per_oligo <num>  Maximum number of residues carrying a variable modification

                                                   per candidate oligonucleotide (default: '2')

      -modifications:resolve_ambiguities           Attempt to resolve ambiguous modifications (e.g. 'mA?' for

                                                   'mA'/'Am') based on a-B ions.

                                                   This incurs a performance cost because two modifications have

                                                   to be considered for each case.

                                                   Requires a-B ions to be enabled in parameter 'fragment:ions'.

    Oligonucleotide Options:

      -oligo:min_size <num>                        Minimum size an oligonucleotide must have after digestion to

                                                   be considered in the search (default: '5')

      -oligo:max_size <num>                        Maximum size an oligonucleotide must have after digestion to

                                                   be considered in the search, leave at 0 for no limit (default:

                                                   '0')

      -oligo:missed_cleavages <num>                Number of missed cleavages (default: '1')

      -oligo:enzyme <choice>                       The enzyme used for RNA digestion (default: 'no cleavage' vali

                                                   d: 'RNase_A', 'no cleavage', 'cusativin', 'RNase_MC1', 'RNase_

                                                   H', 'unspecific cleavage', 'RNase_U2', 'RNase_T1')

    False Discovery Rate Options:

      -fdr:decoy_pattern <string>                  String used as part of the accession to annotate decoy sequenc

                                                   es (e.g. 'DECOY_'). Leave empty to skip the FDR/q-value calcul

                                                   ation.

      -fdr:cutoff <value>                          Cut-off for FDR filtering; search hits with higher q-values

                                                   will be removed (default: '1.0' min: '0.0' max: '1.0')

      -fdr:remove_decoys                           Do not score hits to decoy sequences and remove them when filt

                                                   ering

    Common UTIL options:

      -ini <file>                                  Use the given TOPP INI file

      -threads <n>                                 Sets the number of threads allowed to be used by the TOPP tool

                                                   (default: '1')

      -write_ini <file>                            Writes the default configuration file

      --help                                       Shows options

      --helphelp                                   Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+NucleicAcidSearchEngine Annotate nucleic acid identifications to MS/MS spectra.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'NucleicAcidSearchEngine'
in Input file: spectra input file*.mzML
database Input file: sequence database input file*.fasta
out Output file: mzTab output file*.mzTab
id_out Output file: idXML (for visualization in TOPPView)output file*.idXML
lfq_out Output file: Targets for label-free quantification using FeatureFinderMetaboIdent ('id' input)output file*.tsv
theo_ms2_out Output file: theoretical MS2 spectra for precursor mass matches output file*.mzML
exp_ms2_out Output file: experimental MS2 spectra for precursor mass matches output file*.mzML
decharge_ms2 false Decharge the MS2 spectra for scoring true,false
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false
+++precursor Precursor (Parent Ion) Options
mass_tolerance 10.0 Precursor mass tolerance (+/- around uncharged precursor mass)
mass_tolerance_unit ppm Unit of precursor mass tolerance Da,ppm
min_charge-1 Minimum precursor charge to be considered
max_charge-20 Maximum precursor charge to be considered
include_unknown_charge false Include MS2 spectra with unknown precursor charge - try to match them in any possible charge between 'min_charge' and 'max_charge', at the risk of a higher error rate true,false
use_avg_mass false Use average instead of monoisotopic precursor masses (appropriate for low-resolution instruments)true,false
use_adducts false Consider possible salt adducts (see 'precursor:potential_adducts') when matching precursor masses true,false
potential_adducts[Na:+] Adducts considered to explain mass differences. Format: 'Element:Charge(+/-)', i.e. the number of '+' or '-' indicates the charge, e.g. 'Ca:++' indicates +2. Only used if 'precursor:use_adducts' is set.
isotopes[0, 1, 2, 3, 4] Correct for mono-isotopic peak misassignments. E.g.: 1 = precursor may be misassigned to the first isotopic peak. Ignored if 'use_avg_mass' is set.
+++fragment Fragment (Product Ion) Options
mass_tolerance 10.0 Fragment mass tolerance (+/- around fragment m/z)
mass_tolerance_unit ppm Unit of fragment mass tolerance Da,ppm
ions[a-B, a, b, c, d, w, x, y, z] Fragment ions to include in theoretical spectra a-B,a,b,c,d,w,x,y,z
+++modifications Modifications Options
variable[] Variable modifications m1Am,m1Gm,m1Im,m1acp3Y,m1A,m1G,m1I,m1Y,m28A,msms2i6A,ges2U,k2C,m2A,ms2ct6A,ms2io6A,ms2hn6A,ms2i6A,ms2m6A,ms2t6A,se2U,s2Um,s2C,s2U,Am,Cm,Gm,Im,Ym,Um,mcmo5Um,Ar(p),Gr(p),(pN)2'3'>p,hm5Cm,m3Um,acp3D,acp3Y,acp3U,m3C,m3Y,m3U,imG-14,s4U,m5Cm,m5Um,mchm5Um,mchm5U,inm5s2U,inm5Um,inm5U,nm5ges2U,nm5se2U,nm5s2U,nm5U,nchm5U,ncm5s2U,ncm5Um,ncm5U,chm5U,cm5s2U,cmnm5ges2U,cmnm5se2U,cmnm5s2U,cmnm5Um,cmnm5U,cm5U,cnm5U,f5Cm,f5C,ho5C,hm5C,ho5U,mcm5s2U,mcm5Um,mcm5U,mo5U,m5s2U,mnm5ges2U,mnm5se2U,mnm5s2U,mnm5U,m5C,m5D,m5U,tm5s2U,tm5U,CoA(pN),acCoA(pN),malonyl-CoA(pN),succinyl-CoA(pN),p(pN),5'-OH-N,(pN),NAD(pN),pp(pN),yW-86,yW-72,yW-58,preQ1tRNA,preQ0tRNA,m7G,m7Gpp(pN),m8A,m2Gm,m27Gm,m27G,m27Gpp(pN),m22Gm,m227G,m227Gpp(pN),m22G,m2G,m4Cm,m44Cm,m44C,ac4Cm,ac4C,m4C,m6Am,m66Am,m66A,io6A,ac6A,f6A,g6A,hm6A,hn6A,i6A,m6t6A,m6A,t6A,Qbase,C+,mm(pN),m(pN),G+,ct6A,D,oQ,galQ,mpp(pN),gluQ,pG(pN),Gpp(pN),ht6A,OHyW,I,imG2,manQ,OHyWy,mimG,o2yW,preQ0base,preQ1base,Y,Q,OHyWx,Xm,xX,xA,xC,xG,xU,N,cmo5U,mcmo5U,yW,imG,3'-p,5'-p,mA,mC,mG,mU,sU,mmA,mAm,mCm,mGm,mUm,cmo5U/chm5U,mchm5U/mcmo5U,mchm5Um/mcmo5Um,m6t6A/hn6A,galQ/manQ,mA?,mC?,mG?,mU?,mI?,msU?,mmA?,mmC?,mmG?,mmmG?,ac4C/f5Cm?,acp3U/cmnm5Um?
variable_max_per_oligo 2 Maximum number of residues carrying a variable modification per candidate oligonucleotide
resolve_ambiguities false Attempt to resolve ambiguous modifications (e.g. 'mA?' for 'mA'/'Am') based on a-B ions.
This incurs a performance cost because two modifications have to be considered for each case.
Requires a-B ions to be enabled in parameter 'fragment:ions'.true,false
+++oligo Oligonucleotide Options
min_size 5 Minimum size an oligonucleotide must have after digestion to be considered in the search
max_size 0 Maximum size an oligonucleotide must have after digestion to be considered in the search, leave at 0 for no limit
missed_cleavages 1 Number of missed cleavages
enzyme no cleavage The enzyme used for RNA digestion cusativin,unspecific cleavage,no cleavage,RNase_U2,RNase_MC1,RNase_T1,RNase_A,RNase_H
+++report Reporting Options
top_hits 1 Maximum number of top-scoring hits per spectrum that are reported ('0' for all hits)0:∞
+++fdr False Discovery Rate Options
decoy_pattern String used as part of the accession to annotate decoy sequences (e.g. 'DECOY_'). Leave empty to skip the FDR/q-value calculation.
cutoff 1.0 Cut-off for FDR filtering; search hits with higher q-values will be removed 0.0:1.0
remove_decoys false Do not score hits to decoy sequences and remove them when filtering true,false